## nebula 1.2.2

=== DESCRIPTION ===
Package: nebula
Type: Package
Title: Negative Binomial Mixed Models Using Large-Sample Approximation
        for Differential Expression Analysis of ScRNA-Seq Data
Version: 1.2.2
Date: 2023-01-09
Author: Liang He
Maintainer: Liang He <lianghe@health.sdu.dk>
Description: A fast negative binomial mixed model for conducting association analysis of multi-subject single-cell data. It can be used for identifying marker genes, differential expression and co-expression analyses. The model includes subject-level random effects to account for the hierarchical structure in multi-subject single-cell data. See He et al. (2021) <doi:10.1038/s42003-021-02146-6>.  
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: Rcpp (>= 1.0.7), nloptr, MASS, stats, Matrix, methods, utils,
        Rfast, trust
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 4.1)
RoxygenNote: 7.2.1
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-01-18 17:52:23 UTC; helia
Repository: CRAN
Date/Publication: 2023-01-18 21:00:02 UTC
