## nebula 1.5.3

=== DESCRIPTION ===
Package: nebula
Type: Package
Title: Negative Binomial Mixed Models Using Large-Sample Approximation
        for Differential Expression Analysis of ScRNA-Seq Data
Version: 1.5.3
Date: 2024-02-15
Authors@R: c(
    person("Liang", "He", email = "hyx520101@gmail.com", role = c("aut", "cre")),
    person("Raghav", "Sharma", email = "raghavv.sharma@mail.utoronto.ca", role = "ctb"))
Maintainer: Liang He <hyx520101@gmail.com>
Description: A fast negative binomial mixed model for conducting association analysis of multi-subject single-cell data. It can be used for identifying marker genes, differential expression and co-expression analyses. The model includes subject-level random effects to account for the hierarchical structure in multi-subject single-cell data. See He et al. (2021) <doi:10.1038/s42003-021-02146-6>.  
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: Rcpp (>= 1.0.7), nloptr, stats, Matrix, methods, Rfast, trust,
        parallelly (>= 1.34.0), doFuture (>= 0.12.2), future (>=
        1.32.0), foreach (>= 1.5.2), doRNG (>= 1.8.6), Seurat,
        SingleCellExperiment
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 4.1)
RoxygenNote: 7.3.1
URL: https://github.com/lhe17/nebula
BugReports: https://github.com/lhe17/nebula/issues
Suggests: knitr, utils, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2024-02-15 22:27:18 UTC; helia
Author: Liang He [aut, cre],
  Raghav Sharma [ctb]
Repository: CRAN
Date/Publication: 2024-02-15 23:00:02 UTC
