## nebula 1.5.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Negative Binomial Mixed Models Using Large-Sample Approximation
         for Differential Expression Analysis of ScRNA-Seq Data
-Version: 1.5.3
-Date: 2024-02-15
+Version: 1.5.6
+Date: 2025-11-28
 Authors@R: c(
     person("Liang", "He", email = "hyx520101@gmail.com", role = c("aut", "cre")),
     person("Raghav", "Sharma", email = "raghavv.sharma@mail.utoronto.ca", role = "ctb"))
@@ -24,8 +24,8 @@
 Suggests: knitr, utils, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2024-02-15 22:27:18 UTC; helia
+Packaged: 2025-11-28 19:30:07 UTC; helia
 Author: Liang He [aut, cre],
   Raghav Sharma [ctb]
 Repository: CRAN
-Date/Publication: 2024-02-15 23:00:02 UTC
+Date/Publication: 2025-12-07 07:00:15 UTC
