=== debian/changelog ===
nebula (1.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Include version string when building nebula cli

 -- Peymaneh <peymaneh@posteo.net>  Sun, 18 Dec 2022 21:48:19 +0100

nebula (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Source only upload for testing migration

 -- Peymaneh <peymaneh@posteo.net>  Sun, 11 Dec 2022 16:12:04 +0100

nebula (1.6.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * Upload to unstable (Closes: #1024961)

  [ Nilesh Patra ]
  * Add B-D on golang-github-skip2-go-qrcode-dev instead

  [ Peymaneh ]
  * d/copyright,d/watch: make source package dfsg-compliant
  * d/gbp.conf: Filter: .gitignore, .github/
  * New upstream version 1.6.1+dfsg
  * d/control: Bump standards version
  * d/control: Update dependencies
  * Add development package golang-github-slackhq-nebula-dev
  * Add very simple autopkgtest for nebula cli
  * d/copyright: Add Wireguard LLC

 -- Peymaneh <peymaneh@posteo.net>  Wed, 07 Dec 2022 22:35:39 +0100

nebula (1.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #990680)

 -- Alex David <flu0r1ne@flu0r1ne.net>  Sun, 18 Jul 2021 22:50:56 +0530
