=== debian/tests/control ===
Tests: parse-cert
Depends: @

Tests: parse-config
Depends: @
Restrictions: needs-root, isolation-container

Tests: version
Depends: @
