=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nebula-$1.tar.gz%,\
      repack,\
      repacksuffix=+dfsg,\
      dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//, \
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/slackhq/nebula/tags .*/v?(\d\S*)\.tar\.gz debian
