=== debian/changelog ===
nebula (1.9.3+dfsg-6) unstable; urgency=medium

  * Use 2nd recommended set of argon2 parameters, avoiding failures
    with memory-constrained devices like 32-bits architectures.
    The initial patch in version 1.9.3+dfsg-3 was lowering memory
    parameter without increasing iterations, a too weak combination.
  * Backport upstream patch that uses these defaults in tests.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 24 Apr 2025 10:38:06 +0200

nebula (1.9.3+dfsg-5) unstable; urgency=medium

  * Pass skip correctly
  * Pass --buildsystem to dh_auto_build
  * Drop --builddirectory

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Apr 2025 21:26:56 +0200

nebula (1.9.3+dfsg-4) unstable; urgency=medium

  * Skip TestService, because it tests an experimental
    part that is not used by nebula, and it fails on s390x.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Apr 2025 19:22:34 +0200

nebula (1.9.3+dfsg-3) unstable; urgency=medium

  * Add patch to avoid OOM on 32-bits archs, skip test

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Apr 2025 16:44:51 +0200

nebula (1.9.3+dfsg-2) experimental; urgency=medium

  * patch: fix ftbfs on 32-bit archs

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Apr 2025 12:51:53 +0200

nebula (1.9.3+dfsg-1) experimental; urgency=medium

  * Team upload.
  * patch: backport upstream fix for future ftbfs.
    Closes:#1078630.

  [ Utkarsh Gupta ]
  * New upstream version 1.9.3+dfsg.
  * Refresh d/patches.

  [ Nilesh Patra ]
  * Add builddep on gvisor
  * Update patch
  * Switch to full blown salsa CI

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Apr 2025 11:44:39 +0200
