=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                golang-github-anmitsu-go-shlex-dev,
                golang-github-armon-go-radix-dev,
                golang-github-cyberdelia-go-metrics-graphite-dev,
+               golang-gvisor-gvisor-dev,
                golang-github-imdario-mergo-dev,
                golang-github-kardianos-service-dev,
                golang-github-miekg-dns-dev,
