## nebula 1.10.2+dfsg

=== debian/changelog ===
nebula (1.10.2+dfsg-1~exp0) experimental; urgency=medium

  * Team upload
  * New upstream version 1.10.2 (Closes: #1083128)
  * Use version v5 watch
  * Disable patches for now
  * Run wrap-and-sort
  * Add new dependencies
  * Add Static-Built-Using.
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Drop Priority: optional
  * Use golang-1.25
  * Bump gaissmai/bart to 0.26.0
  * Add d/watch Dversion-Mangle
  * Add debian/* copyright years
  * Remove d/patches/

 -- Simon Josefsson <simon@josefsson.org>  Tue, 03 Feb 2026 09:52:03 +0100
