=== debian/watch ===
Version: 5
Template: Github
Owner: slackhq
Project: nebula
Repack: yes
Repacksuffix: +dfsg
Dversion-Mangle: s/\+dfsg\d*$//
