=== debian/changelog ===
nebula (1.10.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Use gbp sign-tags and upstream-vcs-tag
  * Add new dep golang-filippo-bigmod-dev
  * Fix parse-cert test

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Feb 2026 09:48:36 +0100

nebula (1.10.2+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * Fix 32bit tests FTBFS
  * B-D on golang-1.25-go instead of golang-1.25 for loong64

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Feb 2026 14:07:40 +0100
