=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Testsuite: autopkgtest-pkg-go
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-1.25,
+               golang-1.25-go,
                golang-any,
+               golang-filippo-bigmod-dev,
                golang-github-anmitsu-go-shlex-dev,
                golang-github-armon-go-radix-dev,
                golang-github-cyberdelia-go-metrics-graphite-dev,
@@ -54,7 +55,8 @@
 Package: golang-github-slackhq-nebula-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-anmitsu-go-shlex-dev,
+Depends: golang-filippo-bigmod-dev,
+         golang-github-anmitsu-go-shlex-dev,
          golang-github-armon-go-radix-dev,
          golang-github-cyberdelia-go-metrics-graphite-dev,
          golang-github-flynn-noise-dev,
