=== debian/tests/control ===
Tests: parse-cert
Depends: @

Tests: parse-config
Depends: @
Restrictions: isolation-container, needs-root

Tests: version
Depends: @
